summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-13 00:28:02 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:28:02 +0200
commit3db1ea440a61bb6db6013c34a9aa360bce4d005a (patch)
treea8391ac109e02ca34f516294d41d2e4bb16b2772 /graphics
parentbe7f0f78881b770542523b0fb1b898f3c29bbe78 (diff)
downloadslackbuilds-3db1ea440a61bb6db6013c34a9aa360bce4d005a.tar.gz
slackbuilds-3db1ea440a61bb6db6013c34a9aa360bce4d005a.tar.xz
graphics/kipi-plugins: Updated for version 1.0.0
Diffstat (limited to 'graphics')
-rw-r--r--graphics/kipi-plugins/README3
-rw-r--r--graphics/kipi-plugins/doinst.sh10
-rw-r--r--graphics/kipi-plugins/kipi-plugins-kde4.2.patch11
-rw-r--r--graphics/kipi-plugins/kipi-plugins.SlackBuild55
-rw-r--r--graphics/kipi-plugins/kipi-plugins.info10
5 files changed, 59 insertions, 30 deletions
diff --git a/graphics/kipi-plugins/README b/graphics/kipi-plugins/README
index 88dacb243e..9af18e4d1f 100644
--- a/graphics/kipi-plugins/README
+++ b/graphics/kipi-plugins/README
@@ -2,6 +2,3 @@ Kipi Plugins are additional functions for the KDE Images Managment
Host Programs (digiKam, KimDaBa, ShowImg, and Gwenview). They can add
extra menus and shortcuts, and extend the host programs features. You
can install as many or as few as you like, from within host programs.
-
-exiv2, libkdcraw, libkexiv2, and libkipi (available at SBo) are
-required to build Kipi Plugins.
diff --git a/graphics/kipi-plugins/doinst.sh b/graphics/kipi-plugins/doinst.sh
new file mode 100644
index 0000000000..36904a5040
--- /dev/null
+++ b/graphics/kipi-plugins/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications/kde4 >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/graphics/kipi-plugins/kipi-plugins-kde4.2.patch b/graphics/kipi-plugins/kipi-plugins-kde4.2.patch
new file mode 100644
index 0000000000..d18397c196
--- /dev/null
+++ b/graphics/kipi-plugins/kipi-plugins-kde4.2.patch
@@ -0,0 +1,11 @@
+--- kipi-plugins-1.0.0/acquireimages/scandialog.cpp 2009-12-21 10:20:42.000000000 +0000
++++ kipi-plugins-1.0.0/acquireimages/scandialog.cpp 2010-01-05 01:22:44.000000000 +0000
+@@ -146,7 +146,7 @@
+
+ void ScanDialog::closeEvent(QCloseEvent *e)
+ {
+- d->saneWidget->closeDevice();
++ d->saneWidget->scanCancel();
+ saveSettings();
+ e->accept();
+ }
diff --git a/graphics/kipi-plugins/kipi-plugins.SlackBuild b/graphics/kipi-plugins/kipi-plugins.SlackBuild
index 60148be143..913edad2a3 100644
--- a/graphics/kipi-plugins/kipi-plugins.SlackBuild
+++ b/graphics/kipi-plugins/kipi-plugins.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Kipi Plugins
-# Copyright 2007-2009 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Copyright 2007-2010 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=kipi-plugins
-VERSION=${VERSION:-0.1.7}
+VERSION=${VERSION:-1.0.0}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,18 +35,23 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -54,33 +59,37 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-KDEPREF=$(kde-config --prefix) || exit 1
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=$KDEPREF \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=$KDEPREF/man \
- --build=$ARCH-slackware-linux \
- || exit 1
+# Patch kipi-plugins so it compiles on KDE 4.2.x
+# http://www.digikam.org/drupal/node/492
+patch -p1 < $CWD/$PRGNAM-kde4.2.patch
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+mkdir build && cd build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DLIB_INSTALL_DIR:PATH=/usr/lib${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd -
-( cd $PKG/$KDEPREF/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog COPYING INSTALL NEWS PACKAGING README RELEASE.rev TODO \
+cp -a AUTHORS ChangeLog COPYING* HACKING INSTALL NEWS README tips TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/kipi-plugins/kipi-plugins.info b/graphics/kipi-plugins/kipi-plugins.info
index d4c9ec8b77..6aba163505 100644
--- a/graphics/kipi-plugins/kipi-plugins.info
+++ b/graphics/kipi-plugins/kipi-plugins.info
@@ -1,8 +1,10 @@
PRGNAM="kipi-plugins"
-VERSION="0.1.7"
+VERSION="1.0.0"
HOMEPAGE="http://www.kipi-plugins.org/"
-DOWNLOAD="http://downloads.sourceforge.net/kipi/kipi-plugins-0.1.7.tar.bz2"
-MD5SUM="e746988ca6e46c9c43d76132b8acb139"
+DOWNLOAD="http://downloads.sourceforge.net/kipi/kipi-plugins-1.0.0.tar.bz2"
+MD5SUM="4ed822101f0023773361fbe035822934"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="dsomero"
+APPROVED="michiel,rworkman"